Bug 1059714 - could the ddd in EPEL for RHEL6 be compiled against openmotif instead of lesstif?
Summary: could the ddd in EPEL for RHEL6 be compiled against openmotif instead of less...
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: ddd
Version: el6
Hardware: Unspecified
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-30 13:11 UTC by bugreports2005
Modified: 2014-02-18 23:00 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2014-02-18 23:00:39 UTC


Attachments (Terms of Use)

Description bugreports2005 2014-01-30 13:11:22 UTC
ddd in EPEL for RHEL6 requires libXm.so.2, provided by lesstiff from EPEL. RHEL6 would already have libXm.so.4 from openmotif or libXm.so.3 from openmotif22.

Are there good reasons for compiling against lesstif? I would think it desirable to avoid, being an abandoned project and all.

Comment 1 Gwyn Ciesla 2014-01-30 13:15:13 UTC
Sounds reasonable, we just did this in Fedora in fact to fix a bug.  I'll get on it.

Comment 2 Fedora Update System 2014-01-30 17:09:01 UTC
ddd-3.3.12-6.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/ddd-3.3.12-6.el6

Comment 3 Fedora Update System 2014-01-31 20:10:11 UTC
Package ddd-3.3.12-6.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing ddd-3.3.12-6.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2014-0414/ddd-3.3.12-6.el6
then log in and leave karma (feedback).

Comment 4 Michael Lampe 2014-02-06 00:15:22 UTC
Even if missing umlauts mean nothing to you it should be obvious that there's something wrong: https://bugzilla.redhat.com/show_bug.cgi?id=441503

Packagers: please try your own dog food before you sell it!

Comment 5 Fedora Update System 2014-02-18 23:00:39 UTC
ddd-3.3.12-6.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.